#ifndef TETRIS_GAME_INCLUDED
#define TETRIS_GAME_INCLUDED

#include "TetrisFigure.h"
#include "Common.h"

class CTetrisGame
{
public:
		
	void Create();
	void Draw();
	void Destroy();
		
	void MapFigure(CTetrisFigure *figure, bool assign);

	CTetrisGame();
	virtual ~CTetrisGame();
	
private:

	int m_iScore;

	CTetrisFigure *m_pTemplateFigures;
	CTetrisBlock *m_pTemplateBlocks;

	int m_iNumTemplateFigures;
	int m_iNumTemplateBlocks;

	CTetrisBlock ***m_ppTetrisMatrix;
	
	CTetrisFigure *m_pCurrentFigure;
	CTetrisFigure *m_pNextFigure;
};

#endif